Bug 183985 - better i18n support is needed for system-config-packages
better i18n support is needed for system-config-packages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-packages (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-04 10:50 EST by Farzaneh Sarafraz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-04 11:16:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Farzaneh Sarafraz 2006-03-04 10:50:16 EST
The messages marked for translation are not in a good format for i18n purposes.
Some examples:

* msgid "This will take %s of diskspace."
in which %s is expanded into an integer (not localizable for localized digits
support) plus a quantifier (such as " byte" or " bytes" which is not localizable
for plural forms other than English).

* msgid "Total install size: %s"
same as above

* msgid "%d package is queued for installation\n"
which is changed into "%d packages are..." for more than one package. Not
localizable for other plural forms.

Version-Release number of selected component (if applicable):
1.2.25-1
Comment 1 Jeremy Katz 2006-03-04 11:16:37 EST
system-config-packages is replaced in FC5 by pirut.  Hopefully the messages in
pirut should be better.  If not, please file specific problems.

Note You need to log in before you can comment on or make changes to this bug.